### Function

# GLib main_current_source

since: 2.12

#### Declaration [src]

    GSource*
    g_main_current_source (
      void
    )

#### Description [src]

Returns the currently firing source for this thread.

Available since: 2.12

#### Return value

Type: `GSource`

The currently firing source, or `NULL` if none is firing.

The data is owned by the called function.
The return value can be `NULL`.